package cn.com.poc.thirdparty.resource.demand.ai.entity.function;


import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;
import cn.com.poc.thirdparty.resource.demand.ai.entity.dialogue.Function;

import java.io.Serializable;
import java.util.List;

public class FunctionCallResponse extends AbstractRequest<FunctionCallResult> implements Serializable {

    /**
     * 模型apiKey
     */
    private String apiKey;

    /**
     * 提问内容
     */
    private String query;

    /**
     * function 配置
     */
    List<Function> functions;

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public List<Function> getFunctions() {
        return functions;
    }

    public void setFunctions(List<Function> functions) {
        this.functions = functions;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
